Subject: bug#77195: [PATCH 0/7] Remove fenics

From: Paul Garlick <[email-masked]>
Date: Fri, 04 Jul 2025 15:42:43 +0100

Hi Andreas,

On Wed, 2025-06-11 at 20:14 +0200, Andreas Enge wrote:
> If you can keep me updated, I will continue following your progress
> and try to push as soon as possible.

I have submitted a patch to fix the build of the fenics package.  It is
bug #78954.

In brief, I have removed references to the numpy aliases 'int', 'float'
and 'long' in two of the test modules.  These aliases have expired in
numpy v1.24. See

https://numpy.org/doc/stable/release/1.24.0-notes.html#expired-deprecations

There is one fenics dependency to fix too: python-dolfin-adjoint.  I
believe this will be a simple one, keeping up with the switch to the
pyproject-build-system.

Best regards,

Paul.